SUSE studio: если Yast не видит Qt

Честно говоря, мне не сразу удалось решить данную проблему. Дело было так: моя OEM-система корректно загружалась в «живом» режиме, но все модули Yast2 упорно хотели использовать консольный псевдоинтерфейс Ncurses, хотя пакет yast2-qt в системе был. Из-за этого даже устанавливать систему было возможно только в консоли (yast2-live-installer), хотя гораздо приятнее делать это в графической программе. Интересно, что данная проблема присутствует только в OpenSUSE 13.1, в более старых версиях всё работает и так. В чём же дело?

Ответ: в пакете libyui-qt5. Добавляем его в сборку и Yast2 по умолчанию будет запускаться с интерфейсом Qt.

Ничего сложного, как видите, однако пакет libyui-qt5 не тянется по зависимостям для тех сборок, которые были обновлены до 13.1 со старых версий. Такие дела.

3 комментария на «SUSE studio: если Yast не видит Qt»

  1. Дмитрий:

    Обновлялся с 12.2, пакет притянулся.
    %zypper se -s libyui-qt5
    Загрузка данных о репозиториях…
    Чтение установленных пакетов…

    С | Имя | Тип | Версия | Архитектура | Репозиторий
    —+————+——-+—————+————-+————————
    i | libyui-qt5 | пакет | 2.43.5-2.1.4 | x86_64 | local-openSUSE-13.1-OSS
    v | libyui-qt5 | пакет | 2.43.5-2.1.4 | i586 | local-openSUSE-13.1-OSS

  2. Дмитрий:

    Однако яст, на самом деле, от него не зависит. Наверно, паттерном притянулся.

  3. Я меня тоже притянулся, но тут речь о другом: в веб-морде susestudio.com конфигуратор его не притянул почему-то.

Добавить комментарий

Заполните поля или щелкните по значку, чтобы оставить свой комментарий:

Логотип WordPress.com

Для комментария используется ваша учётная запись WordPress.com. Выход / Изменить )

Фотография Twitter

Для комментария используется ваша учётная запись Twitter. Выход / Изменить )

Фотография Facebook

Для комментария используется ваша учётная запись Facebook. Выход / Изменить )

Google+ photo

Для комментария используется ваша учётная запись Google+. Выход / Изменить )

Connecting to %s

%d такие блоггеры, как: